"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GatewayConnectorError = void 0;
/**
 * GatewayConnectorError is a generic error type, that simply means
 * that the operation failed inside the gateway iframe for some reason.
 * We got a response, which will be recorded in the error.
 */
class GatewayConnectorError extends Error {
    constructor(message, src) {
        super(message);
        this.src = src;
    }
}
exports.GatewayConnectorError = GatewayConnectorError;
//# sourceMappingURL=GatewayConnectorError.js.map